/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80026 (8.0.26)
 Source Host           : localhost:3306
 Source Schema         : cust

 Target Server Type    : MySQL
 Target Server Version : 80026 (8.0.26)
 File Encoding         : 65001

 Date: 27/02/2025 14:41:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for cms_activity
-- ----------------------------
DROP TABLE IF EXISTS `cms_activity`;
CREATE TABLE `cms_activity`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '状态，1为启用  0为禁用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '逻辑删除标志，0未删除  1已删除',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '活动标题',
  `summary` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '摘要',
  `details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '内容',
  `picture_id` bigint NULL DEFAULT NULL COMMENT '图片id',
  `weight` int NULL DEFAULT NULL COMMENT '权重，用于排序显示',
  `male_count` int NULL DEFAULT NULL COMMENT '男生数量',
  `female_count` int NULL DEFAULT NULL COMMENT '女生数量',
  `application_count` int NULL DEFAULT NULL COMMENT '报名人数',
  `max_application_count` int NULL DEFAULT NULL COMMENT '报名人数上限',
  `application_fee` decimal(2, 0) NULL DEFAULT NULL COMMENT '报名所需费用',
  `publish_date` datetime NULL DEFAULT NULL COMMENT '发布日期',
  `publish_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '发布状态，1已发布，0未发布',
  `is_application` int NULL DEFAULT NULL COMMENT '是否需要报名，1是，0否',
  `is_authentication` int NULL DEFAULT NULL COMMENT '是否需要实名认证，1是，9否',
  `is_top` int NULL DEFAULT NULL COMMENT '是否置顶，1是，0否',
  `is_recommended` int NULL DEFAULT NULL COMMENT '是否推荐，1是，0否',
  `is_need_member` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '是否需要会员，1需要，0不需要',
  `start_time` datetime NULL DEFAULT NULL COMMENT '活动开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '活动结束时间',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '活动表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cms_activity
-- ----------------------------
INSERT INTO `cms_activity` VALUES (1, '1', '2025-02-27 00:00:00', '1', '2025-02-27 13:33:06', '0', '0', '测试活动1', '111111', '111111111111', 3, 1, NULL, NULL, NULL, 100, 0, '2025-02-27 00:00:00', '0', 1, 1, 1, 1, '1', '2025-03-31 00:00:00', '2026-02-28 00:00:00', '');
INSERT INTO `cms_activity` VALUES (2, '1', '2025-02-27 00:00:00', '1', '2025-02-27 13:33:12', '0', '0', '测试活动2', '2313123123', '3123213123', 4, 2, 10, 10, NULL, 100, 0, '2025-02-27 00:00:00', '0', 1, 1, 1, 1, '1', '2026-02-28 00:00:00', '2027-02-28 00:00:00', '');

-- ----------------------------
-- Table structure for cms_application
-- ----------------------------
DROP TABLE IF EXISTS `cms_application`;
CREATE TABLE `cms_application`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '启动状态（0禁用、1启动）',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '删除标志（0删除，1已删除）',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `activity_id` bigint NULL DEFAULT NULL COMMENT '活动id',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '用户姓名',
  `phone` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '用户手机号码',
  `status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '报名状态（1报名、2取消报名、3已退费）',
  `application_fee` decimal(2, 0) NULL DEFAULT NULL COMMENT '用户所交费用',
  `order_id` bigint NULL DEFAULT NULL COMMENT '订单id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '报名表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cms_application
-- ----------------------------

-- ----------------------------
-- Table structure for cms_banner
-- ----------------------------
DROP TABLE IF EXISTS `cms_banner`;
CREATE TABLE `cms_banner`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `flag` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '1' COMMENT '状态(0禁用、1启用)',
  `del_flag` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '逻辑删除（0未删除、1已删除）',
  `picture_id` bigint NULL DEFAULT NULL COMMENT '图片id',
  `banner_name` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT 'banner名字',
  `weight` int NULL DEFAULT NULL COMMENT '排序号',
  `type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '1' COMMENT '类型(0首页、1活动)',
  `remarks` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'banner表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cms_banner
-- ----------------------------
INSERT INTO `cms_banner` VALUES (1, '1', '2025-02-27 13:17:48', '1', '2025-02-27 13:33:23', '1', '0', 6, '测试banner', 1, '0', '');
INSERT INTO `cms_banner` VALUES (2, '1', '2025-02-27 13:17:55', '1', '2025-02-27 13:33:19', '1', '0', 5, '测试banner2', 2, '1', '');

-- ----------------------------
-- Table structure for cms_notice
-- ----------------------------
DROP TABLE IF EXISTS `cms_notice`;
CREATE TABLE `cms_notice`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '状态(1启用、0禁用)',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '逻辑删除',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '标题',
  `summary` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '摘要',
  `publish_date` datetime NULL DEFAULT NULL COMMENT '发布日期',
  `details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '内容',
  `weight` int NULL DEFAULT NULL COMMENT '权重',
  `picture_id` bigint NULL DEFAULT NULL COMMENT '图片id',
  `is_recommended` int NULL DEFAULT NULL COMMENT '是否推荐（1是、0否）',
  `is_top` int NULL DEFAULT NULL COMMENT '是否置顶（1是、0否）',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cms_notice
-- ----------------------------
INSERT INTO `cms_notice` VALUES (1, '1', '2025-02-27 13:25:26', '1', '2025-02-27 13:32:50', '1', '0', '测试公告1', '11123123123', '2025-02-27 00:00:00', '23131231231', 1, 1, 1, 1, '');
INSERT INTO `cms_notice` VALUES (2, '1', '2025-02-27 13:25:47', '1', '2025-02-27 13:32:56', '1', '0', '测试公告2', '3123123123', '2025-02-27 00:00:00', '23123123123', 2, 2, 1, 1, '');

-- ----------------------------
-- Table structure for cms_order
-- ----------------------------
DROP TABLE IF EXISTS `cms_order`;
CREATE TABLE `cms_order`  (
  `business_id` bigint NOT NULL COMMENT '主键id',
  `name` varchar(150) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单名称',
  `goods_id` bigint NULL DEFAULT NULL COMMENT '商品id',
  `user_id` bigint NULL DEFAULT NULL COMMENT '会员id',
  `account` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '会员账号',
  `num` int NULL DEFAULT NULL COMMENT '购买数量',
  `price` decimal(20, 2) NULL DEFAULT NULL COMMENT '总价',
  `pay_price` decimal(20, 2) NULL DEFAULT NULL COMMENT '支付金额',
  `type` int NULL DEFAULT 0 COMMENT '订单类型,0:活动  1:金币充值',
  `order_time` datetime NULL DEFAULT NULL COMMENT '下单时间',
  `transaction_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '微信支付订单号',
  `refund_time` datetime NULL DEFAULT NULL COMMENT '退款时间',
  `refund_count` int NULL DEFAULT NULL COMMENT '退款次数',
  `status` int NULL DEFAULT 0 COMMENT '订单状态（0 待支付   1已取消   2退款中   3退款中   4后台退款中   5后台退款中   6退款完成   7后台退款完成   8支付中   9 支付完成   10订单关闭  11已核销）',
  `cancel_id` bigint NULL DEFAULT NULL COMMENT '核销商家id',
  `cancel_time` datetime NULL DEFAULT NULL COMMENT '核销时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '状态，1为启用  0为禁用',
  `del_flag` int NULL DEFAULT 0 COMMENT '删除标志（0代表存在 1代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE,
  INDEX `type`(`type` ASC) USING BTREE,
  INDEX `status`(`status` ASC) USING BTREE,
  INDEX `del_flag`(`del_flag` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '订单信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cms_order
-- ----------------------------

-- ----------------------------
-- Table structure for mem_feedback
-- ----------------------------
DROP TABLE IF EXISTS `mem_feedback`;
CREATE TABLE `mem_feedback`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `feedback_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '反馈类型',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '标题',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '处理状态 1:已处理  0:未处理',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `flag` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '启用禁用  1:启用  0:禁用',
  `del_flag` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '删除标志  1:已删除  0:未删除',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '意见反馈' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mem_feedback
-- ----------------------------

-- ----------------------------
-- Table structure for mem_gold_coin_flow
-- ----------------------------
DROP TABLE IF EXISTS `mem_gold_coin_flow`;
CREATE TABLE `mem_gold_coin_flow`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '启用禁用，0禁用，1启用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '删除标志，0未删除，1已删除',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '1：充值   2：消费',
  `action_type` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '10：用户充值     11：系统充值     12：系统赠送\r\n20：点赞    21：发动态    22：留言  23：要微信联系方式    24：接收微信请求\r\n ',
  `count` int NULL DEFAULT NULL COMMENT '金币数量',
  `end_count` int NULL DEFAULT NULL COMMENT '交易后的余额',
  `order_id` bigint NULL DEFAULT NULL COMMENT '订单id',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标id，用户id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '金币流水表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mem_gold_coin_flow
-- ----------------------------

-- ----------------------------
-- Table structure for mem_info
-- ----------------------------
DROP TABLE IF EXISTS `mem_info`;
CREATE TABLE `mem_info`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `user_id` int NOT NULL COMMENT '用户id',
  `mem_code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '会员号',
  `mem_code_level` int NULL DEFAULT 0 COMMENT '会员号等级，默认0',
  `mem_sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `mem_birthday` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生日，格式：xxxx-01-01',
  `mem_constellation` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '星座，1-12 水瓶-摩羯 ,根据birthday，自动带入',
  `mem_height` decimal(10, 2) NULL DEFAULT NULL COMMENT '身高',
  `mem_weight` decimal(10, 2) NULL DEFAULT NULL COMMENT '体重 kg',
  `mem_nation` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '民族',
  `mem_max_education` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '大专以下 1，大专 2，本科 3，硕士，4，博士 5，博士后 6，其他 0',
  `mem_college` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '毕业院校',
  `mem_career` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职业',
  `mem_year_income` decimal(10, 2) NULL DEFAULT NULL COMMENT '年收入，单位 K',
  `mem_work_place` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '工作单位',
  `mem_residence_province` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '居住地省份',
  `mem_residence_city` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '居住地市',
  `mem_native_province` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '籍贯省份',
  `mem_native_city` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '籍贯市',
  `mem_introduce` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '自我介绍',
  `mem_hobby` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '兴趣爱好',
  `mem_future_plan` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '未来规划',
  `mem_half_desire` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '期待',
  `mem_marriage` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '婚姻状况：0 其他 ，1 未婚，2 已婚，3 离异',
  `mem_marriage_remarks` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '婚姻状况备注',
  `mem_mbti` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '16型人格',
  `mem_wx_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'wx 号',
  `mem_real_name` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '真实姓名',
  `mem_phone` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '电话',
  `mem_idcard` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '证件号',
  `mem_real_authen` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '实名认证，1 已认证，0 未认证',
  `mem_real_authen_date` datetime NULL DEFAULT NULL COMMENT '实名认证时间',
  `mem_education_authen` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '学历认证，1 已认证，0 未认证',
  `mem_education_authen_date` datetime NULL DEFAULT NULL COMMENT '学历认证时间',
  `mem_level` int NULL DEFAULT NULL COMMENT '会员等级  0 无',
  `mem_level_begin_date` datetime NULL DEFAULT NULL COMMENT '会员开始时间',
  `mem_level_end_date` datetime NULL DEFAULT NULL COMMENT '会员结束时间',
  `mem_nick_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '昵称',
  `mem_picture_id` json NULL COMMENT '会员信息图片id',
  `mem_education_picture_id` int NULL DEFAULT NULL COMMENT '学历认证图片id',
  `mem_followed_count` int NULL DEFAULT 0 COMMENT '被关注数',
  `mem_liked_count` int NULL DEFAULT 0 COMMENT '被点赞数',
  `avatar` int NULL DEFAULT NULL COMMENT '头像地址',
  `avatar_open` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '头像开放，0 不开放，1 开放',
  `wx_openid` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信ID',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `is_recommended` int NULL DEFAULT NULL COMMENT '是否为推荐（1是、0否）',
  `gold_coins_count` int NULL DEFAULT 0 COMMENT '金币数量',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态（0停用 1正常）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（1删除 0未删除 2审核中）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE,
  INDEX `mem_info_mem_sex`(`mem_sex` ASC) USING BTREE,
  INDEX `mem_info_mem_constellation`(`mem_constellation` ASC) USING BTREE,
  INDEX `mem_info_mem_height`(`mem_height` ASC) USING BTREE,
  INDEX `mem_info_mem_weight`(`mem_weight` ASC) USING BTREE,
  INDEX `mem_info_mem_max_education`(`mem_max_education` ASC) USING BTREE,
  INDEX `mem_info_mem_year_incomen`(`mem_year_income` ASC) USING BTREE,
  INDEX `mem_info_mem_residence_province`(`mem_residence_province` ASC) USING BTREE,
  INDEX `mem_info_mem_native_province`(`mem_native_province` ASC) USING BTREE,
  INDEX `mem_info_mem_native_city`(`mem_native_city` ASC) USING BTREE,
  INDEX `mem_info_mem_marriage`(`mem_marriage` ASC) USING BTREE,
  INDEX `mem_info_mem_mbti`(`mem_mbti` ASC) USING BTREE,
  INDEX `mem_info_mem_real_authen`(`mem_real_authen` ASC) USING BTREE,
  INDEX `mem_info_mem_level`(`mem_level` ASC) USING BTREE,
  INDEX `mem_info_mem_residence_city`(`mem_residence_city` ASC) USING BTREE,
  INDEX `mem_info_mem_code_level`(`mem_code_level` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 380 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mem_info
-- ----------------------------
INSERT INTO `mem_info` VALUES (1, 1, '0001', 0, '0', '2002-12-19', '11', 161.00, 111.00, '0', '5', '天津大学', '学生', 111.00, '111', '03', '0301', '05', '0502', '我是一个可爱活泼的人', '喜欢游泳', '1111', '希望对方是一个可爱的人', '1', '', '', '111', 'F8VGW9hje7QH8/OiD5Nusw==', 'BKrg6WujWXy2spz4laguMw==', '1jVfh9ODj6gjEJgWu6TYzg==', '0', NULL, '0', NULL, 0, NULL, NULL, '爱吃鱼的猫1', NULL, NULL, 0, 0, 68, '0', '', 0, 1, 0, '1', '0', '', NULL, 'null', '2025-02-27 12:00:00', '');
INSERT INTO `mem_info` VALUES (350, 366, '0002', 0, '0', '1925-01-01', '12', 155.00, 75.00, '0', '1', '天津大学', '学生', 11112.00, '111', '01', '0101', '01', '0101', '11122222233333', '3333', '111', '1111', '0', '', '', '2222', 'rnMIkD15AYC/mrZ/J9iZbw==', 'ZHcFCeNHSAJlGbWnloDtOg==', 'a+oD+bidXMCRF0FRZwMHTo8CZLaW5uo2RTtnH8Ia3qY=', '1', '2025-02-13 00:00:00', '1', NULL, 0, NULL, NULL, '微信用户', NULL, 192, 1, 17, 8, '0', 'oA5xx6YOeL2dof1f8TakY6-4nN-U', 0, 0, 197, '1', '0', '', '2025-01-17 13:59:13', '1', '2025-02-27 13:38:30', '');
INSERT INTO `mem_info` VALUES (371, 371, '0006', 0, '0', '1973-01-01', '12', 250.00, 250.00, '0', '1', '333', '333', 333.00, '333', '01', '0101', '01', '0101', '123123', '', '', '', '0', '333', '333', '1111111111111', NULL, 'TZAIQAjawacGvtJilO57Mw==', NULL, '1', NULL, '1', NULL, 0, NULL, NULL, '微信用户4', NULL, NULL, 1, 1, 7, '0', 'oA5xx6W7YTaedAipAsJ3u9hTqmzI', 0, 0, 158, '1', '0', '', '2025-01-25 09:18:50', '1', '2025-02-27 13:38:23', '');

-- ----------------------------
-- Table structure for mem_traffic
-- ----------------------------
DROP TABLE IF EXISTS `mem_traffic`;
CREATE TABLE `mem_traffic`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `mem_traffic` bigint NULL DEFAULT 0 COMMENT '访问量',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 92 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '访问量表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mem_traffic
-- ----------------------------

-- ----------------------------
-- Table structure for mem_user_leave_message
-- ----------------------------
DROP TABLE IF EXISTS `mem_user_leave_message`;
CREATE TABLE `mem_user_leave_message`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_by` bigint NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标id',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '最新的留言内容',
  `read_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '对方的阅读状态  1：已读  0：未读',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 234 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '留言表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mem_user_leave_message
-- ----------------------------

-- ----------------------------
-- Table structure for mem_user_talk
-- ----------------------------
DROP TABLE IF EXISTS `mem_user_talk`;
CREATE TABLE `mem_user_talk`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `del_user` bigint NULL DEFAULT 0 COMMENT '删除人id',
  `black_user` bigint NULL DEFAULT 0 COMMENT '拉黑人id',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标id',
  `content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '留言内容',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '对话表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mem_user_talk
-- ----------------------------

-- ----------------------------
-- Table structure for mem_user_task
-- ----------------------------
DROP TABLE IF EXISTS `mem_user_task`;
CREATE TABLE `mem_user_task`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '消息类型  1:发送请求  2：接收请求',
  `status` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '消息状态  0:对方还未做出选择 1:同意  2:拒绝',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标人id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '请求任务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mem_user_task
-- ----------------------------

-- ----------------------------
-- Table structure for opm_article
-- ----------------------------
DROP TABLE IF EXISTS `opm_article`;
CREATE TABLE `opm_article`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` int NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` int NULL DEFAULT NULL COMMENT '修改者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '1' COMMENT '状态，1启用，0禁用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '删除标志，1已删除，0未删除',
  `remarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '备注',
  `content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '内容',
  `picture_id` json NULL COMMENT '图片id',
  `comment_count` int NULL DEFAULT 0 COMMENT '评论数，默认为0',
  `like_count` int NULL DEFAULT 0 COMMENT '点赞数，默认为0',
  `topic_id` bigint NULL DEFAULT NULL COMMENT '话题id',
  `exam_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '审核状态，0未审核，1审核通过，2驳回，3自动驳回',
  `is_article` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '1' COMMENT '是否是动态，1是，0不是',
  PRIMARY KEY (`business_id`) USING BTREE,
  INDEX `opm_article_create_by`(`create_by` ASC) USING BTREE,
  INDEX `opm_article_topic_id`(`topic_id` ASC) USING BTREE,
  INDEX `opm_article_exam_status`(`exam_status` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '动态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of opm_article
-- ----------------------------

-- ----------------------------
-- Table structure for opm_article_comment
-- ----------------------------
DROP TABLE IF EXISTS `opm_article_comment`;
CREATE TABLE `opm_article_comment`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` int NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` int NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '状态，1启用，0禁用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '删除标志，1已删除，0未删除',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `user_id` bigint NULL DEFAULT NULL COMMENT '被评论人ID',
  `article_id` bigint NULL DEFAULT NULL COMMENT '动态ID',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '评论内容',
  `like_count` int NULL DEFAULT 0 COMMENT '点赞数',
  `comment_count` int NULL DEFAULT 0 COMMENT '评论数',
  `parent_id` bigint NULL DEFAULT NULL COMMENT '父级id',
  `exam_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '审核状态，1已审核，0未审核',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 66 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '评论表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of opm_article_comment
-- ----------------------------

-- ----------------------------
-- Table structure for opm_article_like
-- ----------------------------
DROP TABLE IF EXISTS `opm_article_like`;
CREATE TABLE `opm_article_like`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户ID',
  `article_id` bigint NULL DEFAULT NULL COMMENT '动态ID',
  `comment_id` bigint NULL DEFAULT NULL COMMENT '评论ID',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 70 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '动态点赞表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of opm_article_like
-- ----------------------------

-- ----------------------------
-- Table structure for opm_black_list
-- ----------------------------
DROP TABLE IF EXISTS `opm_black_list`;
CREATE TABLE `opm_black_list`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 27 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '黑名单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of opm_black_list
-- ----------------------------

-- ----------------------------
-- Table structure for opm_topic
-- ----------------------------
DROP TABLE IF EXISTS `opm_topic`;
CREATE TABLE `opm_topic`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` bigint NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '状态，1启用，0禁用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '删除标志，1已删除，0未删除',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `topic_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '话题名称',
  `exam_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '审核状态,1已审核，0未审核',
  `weight` int NULL DEFAULT NULL COMMENT '权重，用于排序',
  `article_count` int NULL DEFAULT NULL COMMENT '话题下的动态数',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '话题表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of opm_topic
-- ----------------------------
INSERT INTO `opm_topic` VALUES (1, 1, '2025-02-27 13:33:40', 1, '2025-02-27 13:33:40', '1', '0', NULL, '测试话题1', '0', 1, 0);
INSERT INTO `opm_topic` VALUES (2, 1, '2025-02-27 13:33:45', 1, '2025-02-27 13:33:45', '1', '0', NULL, '测试话题2', '0', 2, 0);

-- ----------------------------
-- Table structure for opm_user_follow
-- ----------------------------
DROP TABLE IF EXISTS `opm_user_follow`;
CREATE TABLE `opm_user_follow`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_date` datetime NULL DEFAULT NULL COMMENT '关注时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标人id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 64 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '关注表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of opm_user_follow
-- ----------------------------

-- ----------------------------
-- Table structure for opm_user_like
-- ----------------------------
DROP TABLE IF EXISTS `opm_user_like`;
CREATE TABLE `opm_user_like`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `target_id` bigint NULL DEFAULT NULL COMMENT '目标id',
  `like_count` int NULL DEFAULT 0 COMMENT '点赞数',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 60 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户点赞表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of opm_user_like
-- ----------------------------

-- ----------------------------
-- Table structure for oss_info
-- ----------------------------
DROP TABLE IF EXISTS `oss_info`;
CREATE TABLE `oss_info`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `bucket` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '桶名称',
  `path` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件夹路径',
  `oss_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件名',
  `md5` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件md5',
  `e_tag` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'etag',
  `url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件公网地址',
  `file_size` int NULL DEFAULT NULL COMMENT '文件大小，单位字节',
  `file_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件类型',
  `original_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '原始文件名',
  `to_pdf_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '转换成PDF文件公网地址',
  `doc_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'docKey',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '0' COMMENT '状态，1为启用  0为禁用',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '逻辑删除标志，0未删除  1已删除',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '文件表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oss_info
-- ----------------------------
INSERT INTO `oss_info` VALUES (1, NULL, 'CmsNotice\\20250227\\B8EE2C63159C43318116D131772C3706.jpg', 'B8EE2C63159C43318116D131772C3706.jpg', '99d8b747a5050f22ba03f52d148c35c7', NULL, 'http://192.168.1.14/upload/CmsNotice\\20250227\\B8EE2C63159C43318116D131772C3706.jpg', 15115, 'jpg', '图片3.jpg', NULL, '6oP39Zrn', '1', '2025-02-27 13:32:49', '1', '2025-02-27 13:32:49', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (2, NULL, 'CmsNotice\\20250227\\7C98103EF92D4B87B3549B32C011964E.jpg', '7C98103EF92D4B87B3549B32C011964E.jpg', 'eec02321ea106169d757f427b98b358d', NULL, 'http://192.168.1.14/upload/CmsNotice\\20250227\\7C98103EF92D4B87B3549B32C011964E.jpg', 351306, 'jpg', '图片4.jpg', NULL, 'yDguQRqL', '1', '2025-02-27 13:32:56', '1', '2025-02-27 13:32:56', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (3, NULL, 'CmsActivity\\20250227\\946B416283D149709D629F7F015D1F44.jpg', '946B416283D149709D629F7F015D1F44.jpg', '99d8b747a5050f22ba03f52d148c35c7', NULL, 'http://192.168.1.14/upload/CmsActivity\\20250227\\946B416283D149709D629F7F015D1F44.jpg', 15115, 'jpg', '图片3.jpg', NULL, 'sMCKfqqR', '1', '2025-02-27 13:33:04', '1', '2025-02-27 13:33:04', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (4, NULL, 'CmsActivity\\20250227\\0C7CF01B096F4DFC98DC43955B11C7BA.jpg', '0C7CF01B096F4DFC98DC43955B11C7BA.jpg', '7385c90b7af10f9db9bc9391d4a2e71b', NULL, 'http://192.168.1.14/upload/CmsActivity\\20250227\\0C7CF01B096F4DFC98DC43955B11C7BA.jpg', 477336, 'jpg', '图片6.jpg', NULL, 'vGrhASCq', '1', '2025-02-27 13:33:11', '1', '2025-02-27 13:33:11', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (5, NULL, 'CmsBanner\\20250227\\6311267300FB40888CE7AF185BF016CA.jpg', '6311267300FB40888CE7AF185BF016CA.jpg', '99d8b747a5050f22ba03f52d148c35c7', NULL, 'http://192.168.1.14/upload/CmsBanner\\20250227\\6311267300FB40888CE7AF185BF016CA.jpg', 15115, 'jpg', '图片3.jpg', NULL, 'ACp7cg2O', '1', '2025-02-27 13:33:19', '1', '2025-02-27 13:33:19', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (6, NULL, 'CmsBanner\\20250227\\E18DBCDF4DE74BDFA1367E5E97E2C662.jpg', 'E18DBCDF4DE74BDFA1367E5E97E2C662.jpg', '7385c90b7af10f9db9bc9391d4a2e71b', NULL, 'http://192.168.1.14/upload/CmsBanner\\20250227\\E18DBCDF4DE74BDFA1367E5E97E2C662.jpg', 477336, 'jpg', '图片6.jpg', NULL, 'YL28Q7e9', '1', '2025-02-27 13:33:23', '1', '2025-02-27 13:33:23', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (7, NULL, 'CmsNotice\\20250227\\4AA0509A7F76406BB774C2D2F30BD959.jpg', '4AA0509A7F76406BB774C2D2F30BD959.jpg', '99d8b747a5050f22ba03f52d148c35c7', NULL, 'http://192.168.1.14/upload/CmsNotice\\20250227\\4AA0509A7F76406BB774C2D2F30BD959.jpg', 15115, 'jpg', '图片3.jpg', NULL, 'P8j6e4eo', '1', '2025-02-27 13:38:23', '1', '2025-02-27 13:38:23', '1', '0', NULL);
INSERT INTO `oss_info` VALUES (8, NULL, 'CmsNotice\\20250227\\DB9F443FE2A447EE873E5905CB5165A4.jpg', 'DB9F443FE2A447EE873E5905CB5165A4.jpg', '7385c90b7af10f9db9bc9391d4a2e71b', NULL, 'http://192.168.1.14/upload/CmsNotice\\20250227\\DB9F443FE2A447EE873E5905CB5165A4.jpg', 477336, 'jpg', '图片6.jpg', NULL, 'b6EAhBei', '1', '2025-02-27 13:38:29', '1', '2025-02-27 13:38:29', '1', '0', NULL);

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态（0停用 1正常）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（1删除 0未删除 2审核中）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 201 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '天津总公司', 0, '张总', '15888888888', '91@soft.com', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-21 13:03:55', '');
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '分公司1', 1, '张总', '15888888888', '91@soft.com', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-21 13:03:42', '');
INSERT INTO `sys_dept` VALUES (107, 100, '0,100', '分公司2', 2, '张总', '15888888888', '91@soft.com', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-21 13:03:48', '');

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0停用 1正常）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 324 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (302, 0, 'like_limit_count', '5', 'user_like_config', '', '', 'N', '1', '1', '2025-01-20 10:16:54', '1', '2025-02-18 10:59:50', '每天最多给某个人点赞x次（免费）', '0');
INSERT INTO `sys_dict_data` VALUES (303, 3, 'pay_count', '1', 'user_like_config', '', '', 'N', '1', '1', '2025-01-20 10:19:39', '1', '2025-02-18 11:02:06', '付费点赞每次花费z金币', '0');
INSERT INTO `sys_dict_data` VALUES (306, 0, 'comment_limit_days', '30', 'article_config', '', '', 'N', '1', '1', '2025-02-05 09:36:05', '1', '2025-02-05 18:18:10', '超过30天的动态不能评论', '0');
INSERT INTO `sys_dict_data` VALUES (307, 1, 'no_follow_article_limit', '5', 'article_config', '', '', 'N', '1', '1', '2025-02-05 09:37:18', '1', '2025-02-05 18:18:18', '未关注对方，只能查看他人动态的最新的5条动态，参数键值单位为(条数)', '0');
INSERT INTO `sys_dict_data` VALUES (308, 2, 'follow_article_limit', '30', 'article_config', '', '', 'N', '1', '1', '2025-02-05 09:38:32', '1', '2025-02-05 18:18:25', '已关注的查看他人动态，可以查看近一个月的，参数键值单位为（天）', '0');
INSERT INTO `sys_dict_data` VALUES (309, 0, 'leave_message_limit_count', '3', 'user_leave_message_config', '', '', 'N', '1', '1', '2025-02-05 09:41:37', '1', '2025-02-13 14:45:43', '每天最多给某个人发x条留言(免费)', '0');
INSERT INTO `sys_dict_data` VALUES (311, 2, 'pay_leave_message_limit_count', '10', 'user_leave_message_config', '', '', 'N', '1', '1', '2025-02-11 13:37:56', '1', '2025-02-13 14:47:29', '每天最多给发y条留言(收费）', '0');
INSERT INTO `sys_dict_data` VALUES (312, 3, 'pay_count', '1', 'user_leave_message_config', '', '', 'N', '1', '1', '2025-02-11 13:38:16', '1', '2025-02-13 14:47:25', '收费留言每次花费z金币', '0');
INSERT INTO `sys_dict_data` VALUES (313, 0, 'real_auth_coin_count', '50', 'user_config', '', '', 'N', '1', '1', '2025-02-13 14:10:45', '1', '2025-02-21 10:07:35', '实名后，自动获取的金币数', '0');
INSERT INTO `sys_dict_data` VALUES (314, 1, 'all_leave_message_limit_count', '20', 'user_leave_message_config', '', '', 'N', '1', '1', '2025-02-13 14:46:28', '1', '2025-02-13 16:49:50', '每天最多给所有人共发送x条(免费)', '0');
INSERT INTO `sys_dict_data` VALUES (315, 1, 'pay_like_limit_count', '10', 'user_like_config', '', '', 'N', '1', '1', '2025-02-18 11:00:44', '1', '2025-02-18 14:57:01', '每天最多给某个人点赞y次（付费）', '0');
INSERT INTO `sys_dict_data` VALUES (316, 2, 'all_like_limit_count', '20', 'user_like_config', '', '', 'N', '1', '1', '2025-02-18 11:01:50', '1', '2025-02-18 11:02:02', '每天最多给所有人点赞z次', '0');
INSERT INTO `sys_dict_data` VALUES (317, 1, 'request_exchange_wechat', '10', 'user_config', '', '', 'N', '1', '1', '2025-02-21 09:39:48', '1', '2025-02-21 10:07:34', '发起互换微信，消耗a金币', '0');
INSERT INTO `sys_dict_data` VALUES (318, 2, 'accept_exchange_wechat', '10', 'user_config', '', '', 'N', '1', '1', '2025-02-21 09:40:29', '1', '2025-02-21 10:14:28', '接收互换微信请求，消耗b金币', '0');
INSERT INTO `sys_dict_data` VALUES (319, 3, 'look_user_detail_count', '10', 'user_config', '', '', 'N', '1', '1', '2025-02-21 10:17:11', '1', '2025-02-24 14:12:37', '每天最多看x个人的详情', '0');
INSERT INTO `sys_dict_data` VALUES (320, 3, 'publish_article_count', '5', 'article_config', NULL, NULL, 'N', '1', '1', '2025-02-21 10:36:17', '1', '2025-02-21 10:36:17', '每天最多发a条动态（免费）', '0');
INSERT INTO `sys_dict_data` VALUES (321, 4, 'pay_publish_article_count', '10', 'article_config', '', '', 'N', '1', '1', '2025-02-21 10:36:34', '1', '2025-02-26 14:46:32', '每天最多发b条动态（付费）', '0');
INSERT INTO `sys_dict_data` VALUES (322, 5, 'pay_count', '1', 'article_config', NULL, NULL, 'N', '1', '1', '2025-02-21 12:31:18', '1', '2025-02-21 12:31:18', '付费发动态需要消耗x金币', '0');
INSERT INTO `sys_dict_data` VALUES (323, 0, 'article_audit_state', '0', 'sys_config', '', '', 'N', '1', '1', '2025-02-21 12:57:51', '1', '2025-02-21 12:58:04', '0：自动审核，1：人工审核', '0');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典类型',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0停用 1正常）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `parent_id` int NULL DEFAULT NULL COMMENT '父字典id',
  `data_id` int NULL DEFAULT NULL COMMENT '子字典id（数据字典的Code）',
  `dict_sort` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`business_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 307 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (300, '十二', '12', '1', '7', '2024-07-17 15:37:38', '1', '2024-07-17 17:33:15', NULL, '0', NULL, NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (302, '用户点赞次数配置', 'user_like_config', '1', '1', '2025-01-20 10:15:42', '1', '2025-02-25 17:26:48', NULL, '0', NULL, NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (303, '动态相关配置', 'article_config', '1', '1', '2025-02-05 09:35:27', '1', '2025-02-05 09:35:27', '', '0', NULL, NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (304, '留言相关配置', 'user_leave_message_config', '1', '1', '2025-02-05 09:39:49', '1', '2025-02-05 09:39:49', NULL, '0', NULL, NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (305, '用户相关配置', 'user_config', '1', '1', '2025-02-13 14:09:48', '1', '2025-02-13 14:09:48', NULL, '0', NULL, NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (306, '系统配置', 'sys_config', '1', '1', '2025-02-21 12:57:18', '1', '2025-02-21 12:57:18', NULL, '0', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_error_log_2024
-- ----------------------------
DROP TABLE IF EXISTS `sys_error_log_2024`;
CREATE TABLE `sys_error_log_2024`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作帐号',
  `oper_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求参数',
  `json_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '状态(0正常，1失败)',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `oper_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作url',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 105 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '异常日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_error_log_2024
-- ----------------------------

-- ----------------------------
-- Table structure for sys_error_log_2025
-- ----------------------------
DROP TABLE IF EXISTS `sys_error_log_2025`;
CREATE TABLE `sys_error_log_2025`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作帐号',
  `oper_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求参数',
  `json_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '状态(0正常，1失败)',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `oper_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作url',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1028 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '异常日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_error_log_2025
-- ----------------------------

-- ----------------------------
-- Table structure for sys_host_list
-- ----------------------------
DROP TABLE IF EXISTS `sys_host_list`;
CREATE TABLE `sys_host_list`  (
  `business_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '主键',
  `host` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '主机地址',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '名单类型，0白名单，1黑名单',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '状态，0停用，1启用',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建时间',
  `create_date` datetime NULL DEFAULT NULL COMMENT '更新人',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新时间',
  `update_date` datetime NULL DEFAULT NULL COMMENT '备注',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '删除标志',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '黑白名单表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_host_list
-- ----------------------------

-- ----------------------------
-- Table structure for sys_login_info_2024
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_info_2024`;
CREATE TABLE `sys_login_info_2024`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问id',
  `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '用户账号',
  `ipaddr` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '登录IP地址',
  `login_location` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '登陆地点',
  `browser` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '浏览器类型',
  `os` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '登陆状态（1成功 0失败）',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `msg` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 146 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '登录日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_login_info_2024
-- ----------------------------

-- ----------------------------
-- Table structure for sys_login_info_2025
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_info_2025`;
CREATE TABLE `sys_login_info_2025`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问id',
  `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '用户账号',
  `ipaddr` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '登录IP地址',
  `login_location` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '登陆地点',
  `browser` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '浏览器类型',
  `os` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '登陆状态（1成功 0失败）',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `msg` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 232 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '登录日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_login_info_2025
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` int NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `jump_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT ' 跳转类型（R不跳转，Y只跳转无菜单，G跳转带菜单）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态（0停用 1正常）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（1删除 0未删除 2审核中）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2051 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 9, 'system', '', 1, 0, 'M', '', 'system', 'system', '1', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-21 13:12:52', '系统管理目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, '/system/user', 'system/user/index', 1, 0, 'C', 'R', 'sys:user:list', 'user', '1', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-07-17 13:10:33', '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, '/system/role', 'system/role/index', 1, 0, 'C', 'R', 'sys:role:list', 'peoples', '1', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-07-17 13:10:39', '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, '/system/menu', 'system/menu/index', 1, 0, 'C', NULL, 'sys:menu:list', 'tree-table', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, '/system/dept', 'system/dept/index', 1, 0, 'C', NULL, 'sys:dept:list', 'tree', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, '/system/dict', 'system/dict/index', 1, 0, 'C', NULL, 'sys:dict:list', 'dict', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '日志管理', 0, 10, 'system/log', '', 1, 0, 'M', '', 'log', 'log', '1', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-21 13:13:03', '日志管理菜单');
INSERT INTO `sys_menu` VALUES (500, '登录日志', 106, 1, '/monitor/loginInfo', 'monitor/loginInfo/index', 1, 0, 'C', NULL, 'monitor:loginInfo:list', 'logininfor', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '日志管理菜单');
INSERT INTO `sys_menu` VALUES (501, '操作日志', 106, 2, '/monitor/operLog', 'monitor/operLog/index', 1, 0, 'C', NULL, 'monitor:operLog:list', 'form', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '日志管理菜单');
INSERT INTO `sys_menu` VALUES (502, '异常日志', 106, 3, '/monitor/errorLog', 'monitor/errorLog/index', 1, 0, 'C', NULL, 'monitor:errorLog:list', 'bug', '1', '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2021-01-08 09:49:17', '');
INSERT INTO `sys_menu` VALUES (1001, '用户查询', 100, 1, '', '', 1, 0, 'F', NULL, 'sys:user:query', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1002, '用户新增', 100, 2, '', '', 1, 0, 'F', NULL, 'sys:user:add', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1003, '用户修改', 100, 3, '', '', 1, 0, 'F', NULL, 'sys:user:update', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1004, '用户删除', 100, 4, '', '', 1, 0, 'F', NULL, 'sys:user:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1005, '用户导出', 100, 5, '', '', 1, 0, 'F', NULL, 'sys:user:export', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1006, '用户导入', 100, 6, '', '', 1, 0, 'F', NULL, 'sys:user:import', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1007, '重置密码', 100, 7, '', '', 1, 0, 'F', NULL, 'sys:user:resetPwd', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1008, '角色查询', 101, 1, '', '', 1, 0, 'F', NULL, 'sys:role:query', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1009, '角色新增', 101, 2, '', '', 1, 0, 'F', NULL, 'sys:role:add', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1010, '角色修改', 101, 3, '', '', 1, 0, 'F', NULL, 'sys:role:update', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1011, '角色删除', 101, 4, '', '', 1, 0, 'F', NULL, 'sys:role:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1012, '角色导出', 101, 5, '', '', 1, 0, 'F', NULL, 'sys:role:export', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1013, '菜单查询', 102, 1, '', '', 1, 0, 'F', NULL, 'sys:menu:query', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1014, '菜单新增', 102, 2, '', '', 1, 0, 'F', NULL, 'sys:menu:add', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1015, '菜单修改', 102, 3, '', '', 1, 0, 'F', NULL, 'sys:menu:update', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1016, '菜单删除', 102, 4, '', '', 1, 0, 'F', NULL, 'sys:menu:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1017, '部门查询', 103, 1, '', '', 1, 0, 'F', NULL, 'sys:dept:query         ', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1018, '部门新增', 103, 2, '', '', 1, 0, 'F', NULL, 'sys:dept:add', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1019, '部门修改', 103, 3, '', '', 1, 0, 'F', NULL, 'sys:dept:update', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1020, '部门删除', 103, 4, '', '', 1, 0, 'F', NULL, 'sys:dept:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1026, '字典查询', 105, 1, '#', '', 1, 0, 'F', NULL, 'sys:dict:query', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1027, '字典新增', 105, 2, '#', '', 1, 0, 'F', NULL, 'sys:dict:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1028, '字典修改', 105, 3, '#', '', 1, 0, 'F', NULL, 'sys:dict:update', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1029, '字典删除', 105, 4, '#', '', 1, 0, 'F', NULL, 'sys:dict:delete', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (1030, '字典导出', 105, 5, '#', '', 1, 0, 'F', NULL, 'sys:dict:export', '#', '1', '1', '0', 'admin', '2020-10-09 09:33:00', 'admin', '2020-10-09 09:33:00', '');
INSERT INTO `sys_menu` VALUES (2000, '内容管理', 0, 2, 'contentManagement', '', 1, 0, 'M', '', 'banner', 'dict', '1', '1', '0', 'admin', '2024-12-16 15:02:13', '1', '2024-12-21 13:37:26', '');
INSERT INTO `sys_menu` VALUES (2001, 'banner管理', 2000, 1, '/contentManagement/banner', 'contentManagement/banner/index', 1, 0, 'C', 'R', 'cms:banner:list', '#', '1', '1', '0', 'admin', '2024-12-16 15:05:40', '1', '2025-02-26 09:07:59', '');
INSERT INTO `sys_menu` VALUES (2002, '活动管理', 2000, 4, '/contentManagement/activity', 'contentManagement/activity/index', 1, 0, 'C', 'R', 'cms:activity:list', '#', '1', '1', '0', 'admin', '2024-12-16 15:21:33', '1', '2025-02-26 09:18:00', '');
INSERT INTO `sys_menu` VALUES (2004, '公告管理', 2000, 2, '/contentManagement/notice', 'contentManagement/notice/index', 1, 0, 'C', 'R', 'cms:notice:list', '#', '1', '1', '0', '1', '2024-12-16 16:51:07', '1', '2025-02-26 09:14:29', '');
INSERT INTO `sys_menu` VALUES (2006, '活动（新建、编辑、查看）', 2000, 5, '/contentManagement/activity/info', 'contentManagement/activity/info/index', 1, 0, 'C', 'R', 'info', '#', '0', '1', '0', '', '2024-12-17 15:14:36', '1', '2024-12-18 09:10:59', '');
INSERT INTO `sys_menu` VALUES (2007, '公告（新增、编辑、查看）', 2000, 3, '/contentManagement/notice/info', 'contentManagement/notice/info/index', 1, 0, 'C', 'R', 'cms:notice:update', '#', '0', '1', '0', '', '2024-12-17 16:21:51', '1', '2025-02-26 09:51:21', '');
INSERT INTO `sys_menu` VALUES (2008, '运营管理', 0, 3, '/operationsManagement', '', 1, 0, 'M', '', '', 'dashboard', '1', '1', '0', '', '2024-12-18 11:15:18', '1', '2024-12-21 13:44:29', '');
INSERT INTO `sys_menu` VALUES (2009, '动态管理', 2008, 2, '/operationsManagement/article', 'operationsManagement/article/index', 1, 0, 'C', 'R', 'opm:article:list', '#', '1', '1', '0', '', '2024-12-18 11:17:37', '1', '2025-02-26 09:23:07', '');
INSERT INTO `sys_menu` VALUES (2011, '话题管理', 2000, 5, '/contentManagement/topic', 'contentManagement/topic/index', 1, 0, 'C', 'R', 'opm:topic:list', '#', '1', '1', '0', '1', '2024-12-21 13:11:36', '1', '2025-02-26 09:19:07', '');
INSERT INTO `sys_menu` VALUES (2012, '会员管理', 2022, 1, '/operationsManagement/member/index', 'operationsManagement/member/index', 1, 0, 'C', 'R', 'mem:info:list', '#', '1', '1', '0', '1', '2024-12-21 13:21:13', '1', '2025-02-26 09:31:45', '');
INSERT INTO `sys_menu` VALUES (2013, '控制台', 0, 1, '/controlPlatform', 'controlPlatform/control', 1, 0, 'C', 'R', 'controlPlatform', 'ihome', '1', '1', '0', '', '2024-12-21 13:36:18', '1', '2024-12-30 09:17:48', '');
INSERT INTO `sys_menu` VALUES (2014, '会员(新建，编辑，查看)', 2022, 3, '/operationsManagement/member/info', 'operationsManagement/member/info/index', 1, 0, 'C', 'R', '', '#', '0', '1', '0', '1', '2024-12-26 10:08:50', '1', '2025-02-11 16:02:34', '');
INSERT INTO `sys_menu` VALUES (2015, '话题管理（查看）', 2000, 7, '/contentManagement/topic/info', 'contentManagement/topic/info/index', 1, 0, 'C', 'R', NULL, '#', '0', '1', '0', '1', '2024-12-26 10:16:18', '1', '2024-12-26 10:16:18', NULL);
INSERT INTO `sys_menu` VALUES (2016, '修改密码', 0, 20, '/reSetPsw', 'reSetPsw', 1, 0, 'C', 'R', NULL, '#', '0', '1', '0', '1', '2024-12-30 09:16:57', '1', '2024-12-30 09:16:57', NULL);
INSERT INTO `sys_menu` VALUES (2017, '动态（详情）', 2008, 4, '/operationsManagement/article/info', 'operationsManagement/article/info/index', 1, 0, 'C', 'R', NULL, '#', '0', '1', '1', '1', '2024-12-30 15:02:49', '1', '2024-12-30 15:02:49', NULL);
INSERT INTO `sys_menu` VALUES (2018, '订单管理', 2008, 4, '/operationsManagement/cmsOrder/index', 'operationsManagement/cmsOrder/index', 1, 0, 'C', 'R', 'cms:order:list', '#', '1', '1', '0', '1', '2025-01-15 15:37:07', '1', '2025-02-26 09:27:44', '');
INSERT INTO `sys_menu` VALUES (2019, '黑名单管理', 2022, 5, '/operationsManagement/opmBlackList/index', 'operationsManagement/opmBlackList/index', 1, 0, 'C', 'R', 'opm:black:list', '#', '1', '1', '0', '1', '2025-02-10 10:00:20', '1', '2025-02-26 09:38:21', '');
INSERT INTO `sys_menu` VALUES (2020, '金币流水', 2008, 6, '/operationsManagement/memGoldCoinFlow/index', 'operationsManagement/memGoldCoinFlow/index', 1, 0, 'C', 'R', 'mem:goldCoin:list', '#', '1', '1', '0', '1', '2025-02-10 10:13:08', '1', '2025-02-26 09:29:24', '');
INSERT INTO `sys_menu` VALUES (2021, '留言管理', 2008, 7, '/operationsManagement/message/index', 'operationsManagement/message/index', 1, 0, 'C', 'R', 'mem:leaveMessage:list', '#', '1', '1', '0', '1', '2025-02-10 11:12:31', '1', '2025-02-26 09:30:24', '');
INSERT INTO `sys_menu` VALUES (2022, '会员管理', 0, 4, '/member', NULL, 1, 0, 'M', '', NULL, 'iMine', '1', '1', '0', '1', '2025-02-11 15:55:07', '1', '2025-02-11 15:55:07', NULL);
INSERT INTO `sys_menu` VALUES (2023, '会员热度', 2022, 2, '/operationsManagement/memberHost/index', 'operationsManagement/memberHost/index', 1, 0, 'C', 'R', 'mem:memberHost:list', '#', '1', '1', '0', '1', '2025-02-11 15:57:28', '1', '2025-02-26 09:34:20', '');
INSERT INTO `sys_menu` VALUES (2024, '点击量管理', 2022, 4, '/operationsManagement/memClick/index', 'operationsManagement/memClick/index', 1, 0, 'C', 'R', 'mem:traffic:list', '#', '1', '1', '0', '1', '2025-02-11 16:02:22', '1', '2025-02-26 09:37:09', '');
INSERT INTO `sys_menu` VALUES (2025, '定时任务', 106, 4, '/system/sysScheduledTaskLog/index', 'system/sysScheduledTaskLog/index', 1, 0, 'C', 'R', NULL, '#', '1', '1', '0', '1', '2025-02-24 17:08:40', '1', '2025-02-24 17:08:40', NULL);
INSERT INTO `sys_menu` VALUES (2026, '意见反馈', 2022, 6, '/operationsManagement/memFeedBack/index', 'operationsManagement/memFeedBack/index', 1, 0, 'C', 'R', 'mem:feedback:list', '#', '1', '1', '0', '1', '2025-02-25 13:57:28', '1', '2025-02-26 09:39:20', '');
INSERT INTO `sys_menu` VALUES (2027, '查询按钮', 2001, 1, '', '', 1, 0, 'F', '', 'cms:banner:query', '#', '0', '1', '0', '', '2025-02-26 09:07:04', '1', '2025-02-26 09:07:12', '');
INSERT INTO `sys_menu` VALUES (2028, '修改(删除)按钮', 2001, 2, '', '', 1, 0, 'F', '', 'cms:banner:update', '#', '0', '1', '0', '', '2025-02-26 09:08:31', '1', '2025-02-26 09:08:39', '');
INSERT INTO `sys_menu` VALUES (2029, '查询按钮', 2004, 1, '', '', 1, 0, 'F', '', 'cms:notice:query', '#', '0', '1', '0', '', '2025-02-26 09:13:51', '1', '2025-02-26 09:13:53', '');
INSERT INTO `sys_menu` VALUES (2030, '修改(删除)按钮', 2004, 2, '', '', 1, 0, 'F', '', 'cms:notice:update', '#', '0', '1', '0', '', '2025-02-26 09:15:37', '1', '2025-02-26 09:15:39', '');
INSERT INTO `sys_menu` VALUES (2031, '查询按钮', 2002, 1, '', '', 1, 0, 'F', '', 'cms:activity:query', '#', '0', '1', '0', '', '2025-02-26 09:16:55', '1', '2025-02-26 09:16:58', '');
INSERT INTO `sys_menu` VALUES (2032, '修改(删除)按钮', 2002, 2, '', '', 1, 0, 'F', '', 'cms:activity:update', '#', '0', '1', '0', '', '2025-02-26 09:17:38', '1', '2025-02-26 09:17:41', '');
INSERT INTO `sys_menu` VALUES (2033, '查询按钮', 2011, 1, '', '', 1, 0, 'F', '', 'opm:topic:query', '#', '0', '1', '0', '', '2025-02-26 09:18:41', '1', '2025-02-26 09:18:45', '');
INSERT INTO `sys_menu` VALUES (2034, '修改(删除)按钮', 2011, 2, '', '', 1, 0, 'F', '', 'opm:topic:update', '#', '0', '1', '0', '', '2025-02-26 09:19:49', '1', '2025-02-26 09:19:55', '');
INSERT INTO `sys_menu` VALUES (2035, '查询按钮', 2009, 1, '', '', 1, 0, 'F', '', 'opm:article:query', '#', '0', '1', '0', '', '2025-02-26 09:21:22', '1', '2025-02-26 09:21:28', '');
INSERT INTO `sys_menu` VALUES (2036, '修改(删除)按钮', 2009, 2, '', '', 1, 0, 'F', '', 'opm:article:update', '#', '0', '1', '0', '', '2025-02-26 09:21:51', '1', '2025-02-26 09:22:39', '');
INSERT INTO `sys_menu` VALUES (2037, '查询按钮', 2018, 1, '', '', 1, 0, 'F', '', 'cms:order:query', '#', '0', '1', '0', '', '2025-02-26 09:28:19', '1', '2025-02-26 09:28:22', '');
INSERT INTO `sys_menu` VALUES (2038, '修改(删除)按钮', 2018, 2, '', '', 1, 0, 'F', '', 'cms:order:update', '#', '0', '1', '0', '', '2025-02-26 09:28:40', '1', '2025-02-26 09:28:43', '');
INSERT INTO `sys_menu` VALUES (2039, '查询按钮', 2020, 1, '', '', 1, 0, 'F', '', 'mem:goldCoin:query', '#', '0', '1', '0', '', '2025-02-26 09:29:42', '1', '2025-02-26 09:29:45', '');
INSERT INTO `sys_menu` VALUES (2040, '查询按钮', 2021, 1, '', '', 1, 0, 'F', '', 'mem:leaveMessage:query', '#', '0', '1', '0', '', '2025-02-26 09:30:42', '1', '2025-02-26 09:31:03', '');
INSERT INTO `sys_menu` VALUES (2041, '修改(删除)按钮', 2021, 2, '', '', 1, 0, 'F', '', 'mem:leaveMessage:update', '#', '0', '1', '0', '', '2025-02-26 09:31:00', '1', '2025-02-26 09:31:05', '');
INSERT INTO `sys_menu` VALUES (2042, '查询按钮', 2012, 1, '', '', 1, 0, 'F', '', 'mem:info:query', '#', '0', '1', '0', '', '2025-02-26 09:31:58', '1', '2025-02-26 09:32:26', '');
INSERT INTO `sys_menu` VALUES (2043, '修改(删除)按钮', 2012, 2, '', '', 1, 0, 'F', '', 'mem:info:update', '#', '0', '1', '0', '', '2025-02-26 09:32:24', '1', '2025-02-26 09:32:27', '');
INSERT INTO `sys_menu` VALUES (2044, '查询按钮', 2023, 1, '', '', 1, 0, 'F', '', 'mem:memberHost:query', '#', '0', '1', '0', '', '2025-02-26 09:34:46', '1', '2025-02-26 09:34:49', '');
INSERT INTO `sys_menu` VALUES (2045, '充值按钮', 2012, 3, '', '', 1, 0, 'F', '', 'mem:info:recharge', '#', '0', '1', '0', '', '2025-02-26 09:36:30', '1', '2025-02-26 09:36:32', '');
INSERT INTO `sys_menu` VALUES (2046, '查询按钮', 2024, 1, '', '', 1, 0, 'F', '', 'mem:traffic:query', '#', '0', '1', '0', '', '2025-02-26 09:37:30', '1', '2025-02-26 09:38:03', '');
INSERT INTO `sys_menu` VALUES (2047, '查询按钮', 2019, 1, '', '', 1, 0, 'F', '', 'opm:black:query', '#', '0', '1', '0', '', '2025-02-26 09:38:36', '1', '2025-02-26 09:38:39', '');
INSERT INTO `sys_menu` VALUES (2048, '修改(删除)按钮', 2019, 2, '', '', 1, 0, 'F', '', 'opm:black:update', '#', '0', '1', '1', '', '2025-02-26 09:38:55', '1', '2025-02-26 09:38:57', '');
INSERT INTO `sys_menu` VALUES (2049, '查询按钮', 2026, 1, '', '', 1, 0, 'F', '', 'mem:feedback:query', '#', '0', '1', '0', '', '2025-02-26 09:39:40', '1', '2025-02-26 09:39:43', '');
INSERT INTO `sys_menu` VALUES (2050, '修改(删除)按钮', 2026, 2, '', '', 1, 0, 'F', '', 'mem:feedback:update', '#', '0', '1', '0', '', '2025-02-26 09:39:59', '1', '2025-02-26 09:40:02', '');

-- ----------------------------
-- Table structure for sys_oper_log_2024
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log_2024`;
CREATE TABLE `sys_oper_log_2024`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除...）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作帐号',
  `oper_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求参数',
  `json_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '状态(0正常，1失败)',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `oper_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作url',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7134 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '操作日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log_2024
-- ----------------------------

-- ----------------------------
-- Table structure for sys_oper_log_2025
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log_2025`;
CREATE TABLE `sys_oper_log_2025`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除...）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作帐号',
  `oper_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求参数',
  `json_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '状态(0正常，1失败)',
  `del_flag` int NULL DEFAULT 0 COMMENT '数据状态（0正常 1删除）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `oper_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '操作url',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 35426 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '操作日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log_2025
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态（0停用 1正常）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（1删除 0未删除 2审核中）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 302 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, 0, '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2024-12-19 10:24:52', '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, 0, '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2025-02-26 09:52:49', '');
INSERT INTO `sys_role` VALUES (300, '三级用户', 'thirdLevelUsers', 3, 0, '1', '0', '1', '2023-12-20 13:13:36', '1', '2023-12-25 09:28:39', '这是三级用户');

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` int NOT NULL COMMENT '角色id',
  `menu_id` int NOT NULL COMMENT '菜单id',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '4' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限 5:只看自己）',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 404 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色-菜单表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (300, 1, 1, 1, '4');
INSERT INTO `sys_role_menu` VALUES (302, 1, 101, 1, '4');
INSERT INTO `sys_role_menu` VALUES (303, 1, 102, 1, '4');
INSERT INTO `sys_role_menu` VALUES (304, 1, 103, 1, '4');
INSERT INTO `sys_role_menu` VALUES (305, 1, 105, 1, '4');
INSERT INTO `sys_role_menu` VALUES (313, 1, 1008, 1, '4');
INSERT INTO `sys_role_menu` VALUES (314, 1, 1009, 1, '4');
INSERT INTO `sys_role_menu` VALUES (315, 1, 1010, 1, '4');
INSERT INTO `sys_role_menu` VALUES (316, 1, 1011, 1, '4');
INSERT INTO `sys_role_menu` VALUES (317, 1, 1012, 1, '4');
INSERT INTO `sys_role_menu` VALUES (318, 1, 1013, 1, '4');
INSERT INTO `sys_role_menu` VALUES (319, 1, 1014, 1, '4');
INSERT INTO `sys_role_menu` VALUES (320, 1, 1015, 1, '4');
INSERT INTO `sys_role_menu` VALUES (321, 1, 1016, 1, '4');
INSERT INTO `sys_role_menu` VALUES (322, 1, 1017, 1, '4');
INSERT INTO `sys_role_menu` VALUES (323, 1, 1018, 1, '4');
INSERT INTO `sys_role_menu` VALUES (324, 1, 1019, 1, '4');
INSERT INTO `sys_role_menu` VALUES (325, 1, 1020, 1, '4');
INSERT INTO `sys_role_menu` VALUES (326, 1, 1026, 1, '4');
INSERT INTO `sys_role_menu` VALUES (327, 1, 1027, 1, '4');
INSERT INTO `sys_role_menu` VALUES (328, 1, 1028, 1, '4');
INSERT INTO `sys_role_menu` VALUES (329, 1, 1029, 1, '4');
INSERT INTO `sys_role_menu` VALUES (330, 1, 1030, 1, '4');
INSERT INTO `sys_role_menu` VALUES (331, 1, 106, 1, '4');
INSERT INTO `sys_role_menu` VALUES (332, 1, 500, 1, '4');
INSERT INTO `sys_role_menu` VALUES (333, 1, 501, 1, '4');
INSERT INTO `sys_role_menu` VALUES (334, 1, 502, 1, '4');
INSERT INTO `sys_role_menu` VALUES (344, 2, 106, 1, '4');
INSERT INTO `sys_role_menu` VALUES (345, 2, 500, 1, '4');
INSERT INTO `sys_role_menu` VALUES (346, 2, 501, 1, '4');
INSERT INTO `sys_role_menu` VALUES (347, 2, 502, 1, '4');
INSERT INTO `sys_role_menu` VALUES (351, 1, 2000, 1, '4');
INSERT INTO `sys_role_menu` VALUES (352, 1, 2001, 1, '4');
INSERT INTO `sys_role_menu` VALUES (353, 1, 2004, 1, '4');
INSERT INTO `sys_role_menu` VALUES (354, 1, 2007, 1, '4');
INSERT INTO `sys_role_menu` VALUES (355, 1, 2002, 1, '4');
INSERT INTO `sys_role_menu` VALUES (356, 1, 2006, 1, '4');
INSERT INTO `sys_role_menu` VALUES (357, 1, 2008, 1, '4');
INSERT INTO `sys_role_menu` VALUES (358, 1, 2010, 1, '4');
INSERT INTO `sys_role_menu` VALUES (359, 1, 2009, 1, '4');
INSERT INTO `sys_role_menu` VALUES (360, 2, 2000, 1, '4');
INSERT INTO `sys_role_menu` VALUES (361, 2, 2001, 1, '4');
INSERT INTO `sys_role_menu` VALUES (362, 2, 2027, 1, '4');
INSERT INTO `sys_role_menu` VALUES (364, 2, 2004, 1, '4');
INSERT INTO `sys_role_menu` VALUES (365, 2, 2029, 1, '4');
INSERT INTO `sys_role_menu` VALUES (366, 2, 2002, 1, '4');
INSERT INTO `sys_role_menu` VALUES (367, 2, 2031, 1, '4');
INSERT INTO `sys_role_menu` VALUES (368, 2, 2011, 1, '4');
INSERT INTO `sys_role_menu` VALUES (369, 2, 2033, 1, '4');
INSERT INTO `sys_role_menu` VALUES (370, 2, 2008, 1, '4');
INSERT INTO `sys_role_menu` VALUES (371, 2, 2009, 1, '4');
INSERT INTO `sys_role_menu` VALUES (372, 2, 2035, 1, '4');
INSERT INTO `sys_role_menu` VALUES (373, 2, 2018, 1, '4');
INSERT INTO `sys_role_menu` VALUES (374, 2, 2037, 1, '4');
INSERT INTO `sys_role_menu` VALUES (375, 2, 2020, 1, '4');
INSERT INTO `sys_role_menu` VALUES (376, 2, 2039, 1, '4');
INSERT INTO `sys_role_menu` VALUES (377, 2, 2021, 1, '4');
INSERT INTO `sys_role_menu` VALUES (378, 2, 2040, 1, '4');
INSERT INTO `sys_role_menu` VALUES (379, 2, 2022, 1, '4');
INSERT INTO `sys_role_menu` VALUES (380, 2, 2012, 1, '4');
INSERT INTO `sys_role_menu` VALUES (381, 2, 2042, 1, '4');
INSERT INTO `sys_role_menu` VALUES (382, 2, 2023, 1, '4');
INSERT INTO `sys_role_menu` VALUES (383, 2, 2044, 1, '4');
INSERT INTO `sys_role_menu` VALUES (384, 2, 2024, 1, '4');
INSERT INTO `sys_role_menu` VALUES (385, 2, 2046, 1, '4');
INSERT INTO `sys_role_menu` VALUES (386, 2, 2019, 1, '4');
INSERT INTO `sys_role_menu` VALUES (387, 2, 2047, 1, '4');
INSERT INTO `sys_role_menu` VALUES (388, 2, 2026, 1, '4');
INSERT INTO `sys_role_menu` VALUES (389, 2, 2049, 1, '4');
INSERT INTO `sys_role_menu` VALUES (390, 2, 2028, 1, '4');
INSERT INTO `sys_role_menu` VALUES (391, 2, 2030, 1, '4');
INSERT INTO `sys_role_menu` VALUES (392, 2, 2032, 1, '4');
INSERT INTO `sys_role_menu` VALUES (393, 2, 2034, 1, '4');
INSERT INTO `sys_role_menu` VALUES (394, 2, 2036, 1, '4');
INSERT INTO `sys_role_menu` VALUES (395, 2, 2038, 1, '4');
INSERT INTO `sys_role_menu` VALUES (396, 2, 2041, 1, '4');
INSERT INTO `sys_role_menu` VALUES (397, 2, 2043, 1, '4');
INSERT INTO `sys_role_menu` VALUES (398, 2, 2045, 1, '4');
INSERT INTO `sys_role_menu` VALUES (399, 2, 2050, 1, '4');
INSERT INTO `sys_role_menu` VALUES (400, 2, 2007, 1, '4');
INSERT INTO `sys_role_menu` VALUES (401, 2, 2006, 1, '4');
INSERT INTO `sys_role_menu` VALUES (402, 2, 2015, 1, '4');
INSERT INTO `sys_role_menu` VALUES (403, 2, 2014, 1, '4');

-- ----------------------------
-- Table structure for sys_role_menu_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu_dept`;
CREATE TABLE `sys_role_menu_dept`  (
  `role_menu_id` int NOT NULL COMMENT '角色菜单id',
  `dept_id` int NOT NULL COMMENT '部门id',
  PRIMARY KEY (`role_menu_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色菜单-部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_scheduled_task_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_scheduled_task_log`;
CREATE TABLE `sys_scheduled_task_log`  (
  `business_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `task_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '任务名称',
  `task_time` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '任务执行时间',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `task_state` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行情况',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4006 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '定时任务日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_scheduled_task_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `username` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '登录名',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `user_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '用户类型（0系统用户 1普通用户）',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户姓名',
  `email` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户邮箱',
  `phone` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码',
  `id_number` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '身份证号',
  `avatar` int NULL DEFAULT NULL COMMENT '头像地址ID',
  `login_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `dept_id` int NULL DEFAULT NULL COMMENT '所属部门ID',
  `user_identity` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '身份（00 管理用户， 10 会员）',
  `wx_openid` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信ID',
  `wx_address` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信地址',
  `wx_head` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信头像',
  `wx_sex` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信地址',
  `wx_nick_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信昵称',
  `address` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态（0停用 1正常）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（1删除 0未删除 2审核中）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 380 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 'admin', '爱吃鱼的猫1', '0', '管理员', '33@qq.com', '15888888888', '0', '$2a$10$BJqBZUZp5DtyolO02RePheZZ/hQRMS83yE2s6/OcOqfLAXVdjZ1G2', '111111111111111111', 0, '127.0.0.1', '2020-10-09 09:33:00', NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', 'admin', '2020-10-09 09:33:00', '1', '2025-01-08 09:28:26', NULL);
INSERT INTO `sys_user` VALUES (366, '19922633664', '微信用户', '1', NULL, NULL, 'ZHcFCeNHSAJlGbWnloDtOg==', '0', NULL, 'a+oD+bidXMCRF0FRZwMHTo8CZLaW5uo2RTtnH8Ia3qY=', NULL, NULL, NULL, NULL, '1', 'oA5xx6YOeL2dof1f8TakY6-4nN-U', '', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', '0', '微信用户', NULL, '1', '0', NULL, '2025-01-17 13:59:13', '1', '2025-02-27 13:38:30', NULL);
INSERT INTO `sys_user` VALUES (371, '18180308731', '微信用户4', '1', '111', NULL, 'TZAIQAjawacGvtJilO57Mw==', '0', NULL, NULL, NULL, NULL, NULL, NULL, '1', 'oA5xx6W7YTaedAipAsJ3u9hTqmzI', '', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', '0', '微信用户', '', '1', '0', NULL, '2025-01-25 09:18:50', '1', '2025-02-27 13:38:23', NULL);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` int NULL DEFAULT NULL COMMENT '用户id',
  `role_id` int NULL DEFAULT NULL COMMENT '角色id'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户-角色表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (300, 1);
INSERT INTO `sys_user_role` VALUES (300, 2);
INSERT INTO `sys_user_role` VALUES (301, 1);
INSERT INTO `sys_user_role` VALUES (379, 2);

-- ----------------------------
-- View structure for sys_error_log_view
-- ----------------------------
DROP VIEW IF EXISTS `sys_error_log_view`;
CREATE ALGORITHM = UNDEFINED SQL SECURITY DEFINER VIEW `sys_error_log_view` AS select `sys_error_log_2024`.`business_id` AS `business_id`,`sys_error_log_2024`.`title` AS `title`,`sys_error_log_2024`.`business_type` AS `business_type`,`sys_error_log_2024`.`method` AS `method`,`sys_error_log_2024`.`request_method` AS `request_method`,`sys_error_log_2024`.`operator_type` AS `operator_type`,`sys_error_log_2024`.`oper_name` AS `oper_name`,`sys_error_log_2024`.`oper_ip` AS `oper_ip`,`sys_error_log_2024`.`oper_location` AS `oper_location`,`sys_error_log_2024`.`oper_param` AS `oper_param`,`sys_error_log_2024`.`json_result` AS `json_result`,`sys_error_log_2024`.`status` AS `status`,`sys_error_log_2024`.`del_flag` AS `del_flag`,`sys_error_log_2024`.`error_msg` AS `error_msg`,`sys_error_log_2024`.`oper_time` AS `oper_time`,`sys_error_log_2024`.`oper_url` AS `oper_url` from `sys_error_log_2024` union all select `sys_error_log_2025`.`business_id` AS `business_id`,`sys_error_log_2025`.`title` AS `title`,`sys_error_log_2025`.`business_type` AS `business_type`,`sys_error_log_2025`.`method` AS `method`,`sys_error_log_2025`.`request_method` AS `request_method`,`sys_error_log_2025`.`operator_type` AS `operator_type`,`sys_error_log_2025`.`oper_name` AS `oper_name`,`sys_error_log_2025`.`oper_ip` AS `oper_ip`,`sys_error_log_2025`.`oper_location` AS `oper_location`,`sys_error_log_2025`.`oper_param` AS `oper_param`,`sys_error_log_2025`.`json_result` AS `json_result`,`sys_error_log_2025`.`status` AS `status`,`sys_error_log_2025`.`del_flag` AS `del_flag`,`sys_error_log_2025`.`error_msg` AS `error_msg`,`sys_error_log_2025`.`oper_time` AS `oper_time`,`sys_error_log_2025`.`oper_url` AS `oper_url` from `sys_error_log_2025`;

-- ----------------------------
-- View structure for sys_login_info_view
-- ----------------------------
DROP VIEW IF EXISTS `sys_login_info_view`;
CREATE ALGORITHM = UNDEFINED SQL SECURITY DEFINER VIEW `sys_login_info_view` AS select `sys_login_info_2024`.`business_id` AS `business_id`,`sys_login_info_2024`.`username` AS `username`,`sys_login_info_2024`.`ipaddr` AS `ipaddr`,`sys_login_info_2024`.`login_location` AS `login_location`,`sys_login_info_2024`.`browser` AS `browser`,`sys_login_info_2024`.`os` AS `os`,`sys_login_info_2024`.`status` AS `status`,`sys_login_info_2024`.`del_flag` AS `del_flag`,`sys_login_info_2024`.`msg` AS `msg`,`sys_login_info_2024`.`login_time` AS `login_time` from `sys_login_info_2024` union all select `sys_login_info_2025`.`business_id` AS `business_id`,`sys_login_info_2025`.`username` AS `username`,`sys_login_info_2025`.`ipaddr` AS `ipaddr`,`sys_login_info_2025`.`login_location` AS `login_location`,`sys_login_info_2025`.`browser` AS `browser`,`sys_login_info_2025`.`os` AS `os`,`sys_login_info_2025`.`status` AS `status`,`sys_login_info_2025`.`del_flag` AS `del_flag`,`sys_login_info_2025`.`msg` AS `msg`,`sys_login_info_2025`.`login_time` AS `login_time` from `sys_login_info_2025`;

-- ----------------------------
-- View structure for sys_oper_log_view
-- ----------------------------
DROP VIEW IF EXISTS `sys_oper_log_view`;
CREATE ALGORITHM = UNDEFINED SQL SECURITY DEFINER VIEW `sys_oper_log_view` AS select `sys_oper_log_2024`.`business_id` AS `business_id`,`sys_oper_log_2024`.`title` AS `title`,`sys_oper_log_2024`.`business_type` AS `business_type`,`sys_oper_log_2024`.`method` AS `method`,`sys_oper_log_2024`.`request_method` AS `request_method`,`sys_oper_log_2024`.`operator_type` AS `operator_type`,`sys_oper_log_2024`.`oper_name` AS `oper_name`,`sys_oper_log_2024`.`oper_ip` AS `oper_ip`,`sys_oper_log_2024`.`oper_location` AS `oper_location`,`sys_oper_log_2024`.`oper_param` AS `oper_param`,`sys_oper_log_2024`.`json_result` AS `json_result`,`sys_oper_log_2024`.`status` AS `status`,`sys_oper_log_2024`.`del_flag` AS `del_flag`,`sys_oper_log_2024`.`error_msg` AS `error_msg`,`sys_oper_log_2024`.`oper_time` AS `oper_time`,`sys_oper_log_2024`.`oper_url` AS `oper_url` from `sys_oper_log_2024` union all select `sys_oper_log_2025`.`business_id` AS `business_id`,`sys_oper_log_2025`.`title` AS `title`,`sys_oper_log_2025`.`business_type` AS `business_type`,`sys_oper_log_2025`.`method` AS `method`,`sys_oper_log_2025`.`request_method` AS `request_method`,`sys_oper_log_2025`.`operator_type` AS `operator_type`,`sys_oper_log_2025`.`oper_name` AS `oper_name`,`sys_oper_log_2025`.`oper_ip` AS `oper_ip`,`sys_oper_log_2025`.`oper_location` AS `oper_location`,`sys_oper_log_2025`.`oper_param` AS `oper_param`,`sys_oper_log_2025`.`json_result` AS `json_result`,`sys_oper_log_2025`.`status` AS `status`,`sys_oper_log_2025`.`del_flag` AS `del_flag`,`sys_oper_log_2025`.`error_msg` AS `error_msg`,`sys_oper_log_2025`.`oper_time` AS `oper_time`,`sys_oper_log_2025`.`oper_url` AS `oper_url` from `sys_oper_log_2025`;

SET FOREIGN_KEY_CHECKS = 1;
